﻿Public Class ColorComboBoxItem
    Property text As String
    Public Property color As Color

    ''' <summary>
    ''' Custom ComboBox item
    ''' Contains a name string and a color
    ''' </summary>
    ''' <param name="text"></param>
    ''' <param name="color"></param>
    Public Sub New(text As String, color As Color)
        Me.text = text
        Me.color = color
    End Sub

    ''' <summary>
    ''' This is the text shown in the ComboBox control
    ''' which is a 'friendly' name for a color
    ''' </summary>
    ''' <returns></returns>
    Public Overrides Function tostring() As String
        Return Me.text
    End Function

End Class
