﻿Public Class DragHandle
    Inherits Control

    Const HT_CAPTION As Integer = &H2
    Const WM_NCLBUTTONDOWN As Integer = &HA1

    ''' <summary>
    ''' Sets up sizer control
    ''' </summary>
    Public Sub New()
        Me.BackColor = Color.Red
        Me.Size = New Size(12, 12)
        Dim gp As New Drawing2D.GraphicsPath
        gp.AddEllipse(New Rectangle(0, 0, 12, 12))
        Me.Region = New Region(gp)
        Me.Cursor = Cursors.SizeAll
    End Sub

    ''' <summary>
    ''' Makes sizer draggable
    ''' </summary>
    ''' <param name="e"></param>
    Protected Overrides Sub OnMouseDown(e As MouseEventArgs)
        MyBase.OnMouseDown(e)

        If e.Button = MouseButtons.Left Then
            Me.Capture = False
            Me.WndProc(Message.Create(Me.Handle, WM_NCLBUTTONDOWN, CType(HT_CAPTION, IntPtr), IntPtr.Zero))
        End If

    End Sub

End Class
